Name:           SimGear
Version:        2.8.0
Release:        1%{?dist}
License:        GPLv2+
Group:          System Environment/Libraries
Summary:        Simulation library components
URL:            http://simgear.sourceforge.net
Source0:        http://mirrors.ibiblio.org/pub/mirrors/simgear/ftp/Source/simgear-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# upstream a81dd2adf
Patch0:         simgear-2.8.0-fix-underlinking.patch
Patch1:         0001-add-more-arches.patch
Patch2:         0002-nuke-old-bundled-copy-of-expat-use-system-expat.patch
Patch3:         0003-remove-unneeded-header.patch
Patch4:         0004-check-to-be-sure-that-n-is-not-being-set-as-format-t.patch
BuildRequires:  openal-soft-devel, plib-devel >= 1.8.5
BuildRequires:  OpenSceneGraph-devel >= 2.8.0
BuildRequires:  boost-devel >= 1.37.0
BuildRequires:  libXt-devel, libXext-devel
BuildRequires:  libXi-devel, libXmu-devel, freealut-devel
BuildRequires:  zlib-devel, libjpeg-devel
BuildRequires:  expat-devel, apr-devel
BuildRequires:  cmake

%description
SimGear is a set of open-source libraries designed to be used as building
blocks for quickly assembling 3d simulations, games, and visualization
applications.

%package devel
Group: Development/Libraries
Summary: Development libraries and headers for SimGear
Requires: %{name} = %{version}-%{release}
Requires: plib-devel, libjpeg-devel, zlib-devel, libGL-devel
Requires: freealut-devel, libX11-devel, expat-devel

%description devel
Development headers and libraries for building applications against 
SimGear.

%prep
%setup -q -n simgear-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1 -b .checkforn

# makes rpmlint happy
find -name \*.cxx -o -name \*.hxx | xargs chmod -x

# expat covers most of the files in simgear/xml, except for the custom ones (easyxml.*))
rm -rf simgear/xml/*.h simgear/xml/*.c

%build
%{cmake} \
    -DENABLE_TESTS=OFF \
    -DSIMGEAR_SHARED=ON \
    -DJPEG_FACTORY=ON \
.
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# These two headers have a useless conditional when they're not internal.
# This cleans them up.
cd $RPM_BUILD_ROOT%{_includedir}/simgear/
patch -p2 < %{PATCH3}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_libdir}/libSimGearCore.so.%{version}
%{_libdir}/libSimGearScene.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_includedir}/simgear/
%{_libdir}/libSimGearCore.so
%{_libdir}/libSimGearScene.so

%changelog
* Tue Sep 11 2012 Fabrice Bellet <fabrice@bellet.info> 2.8.0-1
- new upstream release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Tom Callaway <spot@fedoraproject.org> 2.6.0-2
- check to be sure that %n is not being set as format type (CVE-2012-2090)

* Tue Feb 28 2012 Fabrice Bellet <fabrice@bellet.info> 2.6.0-1
- new upstream release

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-4
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Tom Callaway <spot@fedoraproject.org> - 2.4.0-3
- fix boost compile issue in rawhide
- fix gcc 4.7 compile issue in rawhide

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 05 2011 Fabrice Bellet <fabrice@bellet.info> 2.4.0-1
- new upstream release

* Tue Jun 14 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 2.0.0-6
- Rebuild against OSG-2.8.5.

* Wed Apr 20 2011 Tom Callaway <spot@fedoraproject.org> 2.0.0-5
- nuke old bundled copy of expat, use system expat (resolves 691934)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 02 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 2.0.0-3
- Rebuild against OSG-2.8.3.

* Fri Jun 18 2010 Dan Horák <dan[at]danny.cz> 2.0.0-2
- include s390/s390x in the more-arches patch

* Fri Feb 26 2010 Fabrice Bellet <fabrice@bellet.info> 2.0.0-1
- New upstream release

* Sun Feb 14 2010 Fabrice Bellet <fabrice@bellet.info> 1.9.1-10
- Fix FTBFS (bz#564682)

* Sun Nov 29 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-9
- Fix osgParticle dependency (bz#542132)

* Sun Aug 16 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-8
- Switch to openal-soft

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-6
- Fix header file installed twice

* Mon May 11 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-5
- Rebuilt to fix bz#498584

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Hans de Goede <hdegoede@redhat.com> 1.9.1-3
- Remove rpath on x86_64

* Sun Feb 15 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-2
- Rebuild for newer OSG
- gcc44 compilation fix

* Tue Feb 03 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.1-1
- New upstream release

* Tue Jan 06 2009 Fabrice Bellet <fabrice@bellet.info> 1.9.0-1
- New upstream release

* Wed Sep 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-5
- fix SimGear-0.3.10-notabbed_value_test.patch to apply without fuzz

* Tue May 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.0-4
- Rebuild for new plib

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-3
- Autorebuild for GCC 4.3

* Mon Jan  7 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.0-2
- Fix timestamp.hxx to not require the (not installed) simgear_config.h header

* Sun Jan  6 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.0-1
- Update to new upstream release 1.0.0
- Port various patches to 1.0.0

* Wed Oct 03 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.11-0.2.pre1.2
- enable alpha (bz 303161)

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.11-0.2.pre1.1
- rebuild for ppc32

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.11-0.3.pre1
- Update License tag for new Licensing Guidelines compliance

* Wed Jun 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.11-0.2.pre1
- fix ppc defines in conditional to be more complete

* Wed Jun 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.11-0.1.pre1
- bump to 0.3.11-0.1.pre1
- fix BZ 245320

* Fri Mar 30 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.10-4
- link with -release %%{version} libtool flag instead of -version, so that we
  get unique soname's for each upstream release. (Upstream gives 0 ABI
  guarantees)
- fix many undefined-non-weak-symbol's, some still remain though, see bz 208678
- work around the "thesky" bug, see bz 208678

* Wed Oct 18 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.10-3
- patch out the config internal header calls (not packaged)
- use generic libGL-devel Requires

* Tue Oct  3 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.10-2
- patch in some shared libraries

* Fri Sep 29 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.10-1
- bump to 0.3.10, fix BuildRequires

* Wed Sep  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.8-1
- initial package for Fedora Extras
